Skip to main content

Documentation Index

Fetch the complete documentation index at: https://sunbirdai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authentication

Register

curl -X POST "https://api.sunbird.ai/auth/register" \
     -H "Content-Type: application/json" \
     -d '{
           "email": "user@example.com",
           "password": "password123",
           "username": "user123"
         }'

Get Token

curl -X POST "https://api.sunbird.ai/auth/token" \
     -H "Content-Type: application/x-www-form-urlencoded" \
     -d "username=user@example.com&password=password123"

AI Tasks

Translate

curl -X POST "https://api.sunbird.ai/tasks/nllb_translate" \
     -H "Authorization: Bearer <TOKEN>" \
     -H "Content-Type: application/json" \
     -d '{
           "text": "Hello",
           "source_language": "eng",
           "target_language": "lug"
         }'

Speech to Text

curl -X POST "https://api.sunbird.ai/tasks/stt" \
     -H "Authorization: Bearer <TOKEN>" \
     -F "audio=@/path/to/audio.mp3"

Text to Speech

curl -X POST "https://api.sunbird.ai/tasks/tts" \
     -H "Authorization: Bearer <TOKEN>" \
     -H "Content-Type: application/json" \
     -d '{
           "text": "Oli otya?",
           "speaker_id": 248
         }'